Proofpoint | ObserveIT On-Premises Insider Threat Management

System Requirements

This topic lists the minimum system requirements for each ObserveIT component.

Each of the server-side components can be installed on a single platform or on multiple platforms, depending on your organization’s needs and performance considerations. Actual recommended resources depend on the number of Agents that are deployed, the amount of activity on each Agent, and the volume of historical data that is retained in the database.

For a list of supported platforms in this release, see Supported Platforms.

7.12.0 was the last version to support:
SQL Server 2012/2014
Win 32 bit agent
Win 8.1
Win Server 2012 (not R2)
Debian 9

Version 7.13.0 and up can be deployed only on SQL Servers that support partitions. You can upgrade to 7.13 (or later) only if your original deployment was installed as partitioned. If your system was installed not as partitioned, a migration will need to be performed. Contact Support to get help with it.

To see whether your current SQL Server deployment supports partitions. use the following commands:
use observeit
go
/*
You want to see the following partition schema:
PS_Day
PS_Day_DayTime
*/ select * from sys.partition_schemes
go

Following are the recommended hardware and software requirements for deploying the ObserveIT components:

version 7.13.2